/**
 * Created by : Julien Dubois.
 * Version : 2;
 * Update date : 13.05.2022
 */

/**
 * Cette fonction est appelée lorsque l'on appuie sur le bouton de connexion
 *.elle a pour but de lancer la méthode POST_login() avec les valeurs du login.
 */
function connectUser(){
    let pseudo = document.getElementById("pseudo").value;
    let mdp = document.getElementById("password").value;
    POST_login(pseudo, mdp, loginSucc, loginError);
}

/**
 * Cette fonction est appelé en cas de succès de la méthode POST_login().
 * Elle a pour but d'afficher les boutons permettant de revenir a l'acceuil
 * ou de modifier son profile une fois l'utilisateur connecté.
 * 
 * @param data le retour de la méthode POST_login() sous format XML.
 * @param text le status de l'opération de POST_login().
 * @param jqXHR les données en raw
 */
function loginSucc(data, text, jqXHR){
    $(data).find("query").each(function (){
    alert("Resultat :" + $(this).find("info").text())
    if ($(this).find("info").text() === "success") {
        console.log("SuccessFull LOGIN !");
    let string = '<table id="whenLogged">'+
    '<tr>'+
        '<td>'+
            '<p>Vous êtes à présent logué !</p>'+
        '</td>'+
    '</tr>'+
     '<tr>'+
        '<td>'+
            '<div id="profileEdit">'+
            '<input type="button" id="editProfile" onclick="window.location.href = \'/DeadlierC3llsProject/Client/profile.html\';" value="Modifier votre profile">'+
            '</div>'+
        '</td>'+
        '<td>'+
            '<div id="sendBack">'+
            '<input type="button" id="returntopage" onclick="window.location.href = \'/DeadlierC3llsProject/Client/index.html\';" value="Retourner a l´acceuil">'+
            '</div>'+
        '</td>'+
    '</tr>'+
    '</table>';
    $("#logged").html(string);
    document.getElementById("conncet").disabled = true;
    document.getElementById("annuler").disabled = true;
    sessionStorage.setItem("logged", true);
    sessionStorage.setItem("pseudo", $(this).find("pseudo").text());
    }
    });
}

/**
 * Cette fonction est appelé en cas d'erreur de la méthode  POST_login().
 * Elle a pour but de mentionner l'erreur.
 * 
 * @param request le retour de la méthode  POST_login() sous format XML.
 * @param status le status de l'opération de  POST_login().
 * @param error l'erreur complète
 */
function loginError(request, status, error){
    console.log("Login Error ["+ error+"]");
}
